Bug 51617 - mono.net.security.MobileAuthenticatedStream gives me an exception
Summary: mono.net.security.MobileAuthenticatedStream gives me an exception
Status: RESOLVED DUPLICATE of bug 46602
Alias: None
Product: Class Libraries
Classification: Mono
Component: General (show other bugs)
Version: 4.8.0 (C9)
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Alexander Köplinger [MSFT]
URL: http://stackoverflow.com/questions/41...
Depends on:
Blocks:
 
Reported: 2017-01-18 18:12 UTC by Shannon
Modified: 2017-01-20 15:26 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED DUPLICATE of bug 46602

Description Shannon 2017-01-18 18:12:56 UTC
Trying to use SSL on an owinselfhost Running under windows(Xamian) works fine, but under Linux it causes an unhandled exception. I've posted a question to stackoverflow that details what I've done and some code associated with it: 
http://stackoverflow.com/questions/41575624/using-mono-on-linux-owin-web-api-https-exception-when-i-use-curl-to-connect

If needed I can embed the full commentary in here, but why duplicate?
Comment 1 Alexander Köplinger [MSFT] 2017-01-20 15:26:45 UTC
I'm pretty sure this is the same problem as in #46602. I merged a fix for that recently, it should be included in the most recent Mono 4.8 preview refresh. Make sure you have Mono 4.8.0.459 or later installed.

I'll close this as a duplicate of that bug now, please try if your issue is fixed as well. Thanks!

*** This bug has been marked as a duplicate of bug 46602 ***